PHP Manual
Prev |  | Next

# HttpRequest::addPostFile

(no version information, might be only in CVS)

HttpRequest::addPostFile -- Add post file

## Description

publicbool HttpRequest::addPostFile ( string name [, string file [, string content_type = 'application/x-octetstream']] )

Add a file to the POST request, leaving previously set files unchanged.

Affects only POST and custom requests. Cannot be used with raw post data.

## Parameters

name

  the form element name

file

  the path to the file

content_type

  the content type of the file

## Return Values

Returns TRUE on success, or FALSE if the content type seems not to contain a primary and a secondary content type part.

Prev | Home | Next
HttpRequest::addPostFields | Up | HttpRequest::addPutData